Exchanges List with Data
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/exchanges \
--header 'x-cg-pro-api-key: <api-key>'[
{
"id": "gdax",
"name": "Coinbase Exchange",
"year_established": 2012,
"country": "United States",
"description": "A leading U.S.-based exchange known for its regulatory compliance, user-friendly interface, and support for fiat-to-crypto transactions.",
"url": "https://www.coinbase.com/",
"image": "https://coin-images.coingecko.com/markets/images/23/small/Coinbase_Coin_Primary.png?1706864258",
"has_trading_incentive": false,
"trust_score": 10,
"trust_score_rank": 1,
"trade_volume_24h_btc": 13692.36253111657
},
{
"id": "binance",
"name": "Binance",
"year_established": 2017,
"country": "Cayman Islands",
"description": "One of the world's largest cryptocurrency exchanges by trading volume.",
"url": "https://www.binance.com/",
"image": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274",
"has_trading_incentive": false,
"trust_score": 10,
"trust_score_rank": 2,
"trade_volume_24h_btc": 95140.00808634966
}
]Exchanges
Exchanges List with Data
To query all the supported exchanges with exchanges’ data (ID, name, country, etc.) that have active trading volumes on CoinGecko
GET
/
exchanges
Exchanges List with Data
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/exchanges \
--header 'x-cg-pro-api-key: <api-key>'[
{
"id": "gdax",
"name": "Coinbase Exchange",
"year_established": 2012,
"country": "United States",
"description": "A leading U.S.-based exchange known for its regulatory compliance, user-friendly interface, and support for fiat-to-crypto transactions.",
"url": "https://www.coinbase.com/",
"image": "https://coin-images.coingecko.com/markets/images/23/small/Coinbase_Coin_Primary.png?1706864258",
"has_trading_incentive": false,
"trust_score": 10,
"trust_score_rank": 1,
"trade_volume_24h_btc": 13692.36253111657
},
{
"id": "binance",
"name": "Binance",
"year_established": 2017,
"country": "Cayman Islands",
"description": "One of the world's largest cryptocurrency exchanges by trading volume.",
"url": "https://www.binance.com/",
"image": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274",
"has_trading_incentive": false,
"trust_score": 10,
"trust_score_rank": 2,
"trade_volume_24h_btc": 95140.00808634966
}
]Only exchanges with active trading volume on CoinGecko are included. Inactive or deactivated exchanges are removed from the list.
SDK Examples
const response = await client.exchanges.get();
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Total results per page. Default: 100. Valid values: 1...250
Page through results. Default: 1
Response
200 - application/json
List of exchanges with data
Exchange ID
Exchange name
Year the exchange was established
Country where the exchange is based
Exchange description
Exchange website URL
Exchange logo URL
Whether the exchange has trading incentive
Exchange trust score
Exchange trust score rank
Exchange 24h trading volume in BTC
Was this page helpful?
⌘I

